<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.platform.dao.AlipayConfigMapper" >
  <resultMap id="BaseResultMap" type="com.platform.pojo.AlipayConfig" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" property="id" jdbcType="INTEGER" />
    <result column="prepay_method" property="prepayMethod" jdbcType="VARCHAR" />
    <result column="prepay_request_url" property="prepayRequestUrl" jdbcType="VARCHAR" />
    <result column="prepay_notify_url" property="prepayNotifyUrl" jdbcType="VARCHAR" />
    <result column="return_url" property="returnUrl" jdbcType="VARCHAR" />
    <result column="show_url" property="showUrl" jdbcType="VARCHAR" />
    <result column="search_method" property="searchMethod" jdbcType="VARCHAR" />
    <result column="search_request_url" property="searchRequestUrl" jdbcType="VARCHAR" />
    <result column="refund_method" property="refundMethod" jdbcType="VARCHAR" />
    <result column="refund_request_url" property="refundRequestUrl" jdbcType="VARCHAR" />
    <result column="refund_notify_url" property="refundNotifyUrl" jdbcType="VARCHAR" />
    <result column="accountdownload_request_url" property="accountdownloadRequestUrl" jdbcType="VARCHAR" />
    <result column="cancel_request_url" property="cancelRequestUrl" jdbcType="VARCHAR" />
    <result column="app_id" property="appId" jdbcType="VARCHAR" />
    <result column="prepay_gate_url" property="prepayGateUrl" jdbcType="VARCHAR" />
    <result column="search_gate_url" property="searchGateUrl" jdbcType="VARCHAR" />
    <result column="refund_gate_url" property="refundGateUrl" jdbcType="VARCHAR" />
    <result column="cancel_gate_url" property="cancelGateUrl" jdbcType="VARCHAR" />
    <result column="account_download_gate_url" property="accountDownloadGateUrl" jdbcType="VARCHAR" />
    <result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
    <result column="update_time" property="updateTime" jdbcType="TIMESTAMP" />
    <result column="delete_flag" property="deleteFlag" jdbcType="INTEGER" />
  </resultMap>
  <sql id="Example_Where_Clause" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where >
      <foreach collection="oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where >
      <foreach collection="example.oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, prepay_method, prepay_request_url, prepay_notify_url, return_url, show_url, search_method, 
    search_request_url, refund_method, refund_request_url, refund_notify_url, accountdownload_request_url, 
    cancel_request_url, app_id, prepay_gate_url, search_gate_url, refund_gate_url, cancel_gate_url, 
    account_download_gate_url, create_time, update_time, delete_flag
  </sql>
  <select id="selectByExample" resultMap="BaseResultMap" parameterType="com.platform.pojo.AlipayConfigExample" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct" >
      distinct
    </if>
    <include refid="Base_Column_List" />
    from alipay_config
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null" >
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from alipay_config
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from alipay_config
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.platform.pojo.AlipayConfigExample" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from alipay_config
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.platform.pojo.AlipayConfig" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into alipay_config (id, prepay_method, prepay_request_url, 
      prepay_notify_url, return_url, show_url, 
      search_method, search_request_url, refund_method, 
      refund_request_url, refund_notify_url, accountdownload_request_url, 
      cancel_request_url, app_id, prepay_gate_url, 
      search_gate_url, refund_gate_url, cancel_gate_url, 
      account_download_gate_url, create_time, update_time, 
      delete_flag)
    values (#{id,jdbcType=INTEGER}, #{prepayMethod,jdbcType=VARCHAR}, #{prepayRequestUrl,jdbcType=VARCHAR}, 
      #{prepayNotifyUrl,jdbcType=VARCHAR}, #{returnUrl,jdbcType=VARCHAR}, #{showUrl,jdbcType=VARCHAR}, 
      #{searchMethod,jdbcType=VARCHAR}, #{searchRequestUrl,jdbcType=VARCHAR}, #{refundMethod,jdbcType=VARCHAR}, 
      #{refundRequestUrl,jdbcType=VARCHAR}, #{refundNotifyUrl,jdbcType=VARCHAR}, #{accountdownloadRequestUrl,jdbcType=VARCHAR}, 
      #{cancelRequestUrl,jdbcType=VARCHAR}, #{appId,jdbcType=VARCHAR}, #{prepayGateUrl,jdbcType=VARCHAR}, 
      #{searchGateUrl,jdbcType=VARCHAR}, #{refundGateUrl,jdbcType=VARCHAR}, #{cancelGateUrl,jdbcType=VARCHAR}, 
      #{accountDownloadGateUrl,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, 
      #{deleteFlag,jdbcType=INTEGER})
  </insert>
  <insert id="insertSelective" useGeneratedKeys="true" keyProperty="id" parameterType="com.platform.pojo.AlipayConfig" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into alipay_config
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        id,
      </if>
      <if test="prepayMethod != null" >
        prepay_method,
      </if>
      <if test="prepayRequestUrl != null" >
        prepay_request_url,
      </if>
      <if test="prepayNotifyUrl != null" >
        prepay_notify_url,
      </if>
      <if test="returnUrl != null" >
        return_url,
      </if>
      <if test="showUrl != null" >
        show_url,
      </if>
      <if test="searchMethod != null" >
        search_method,
      </if>
      <if test="searchRequestUrl != null" >
        search_request_url,
      </if>
      <if test="refundMethod != null" >
        refund_method,
      </if>
      <if test="refundRequestUrl != null" >
        refund_request_url,
      </if>
      <if test="refundNotifyUrl != null" >
        refund_notify_url,
      </if>
      <if test="accountdownloadRequestUrl != null" >
        accountdownload_request_url,
      </if>
      <if test="cancelRequestUrl != null" >
        cancel_request_url,
      </if>
      <if test="appId != null" >
        app_id,
      </if>
      <if test="prepayGateUrl != null" >
        prepay_gate_url,
      </if>
      <if test="searchGateUrl != null" >
        search_gate_url,
      </if>
      <if test="refundGateUrl != null" >
        refund_gate_url,
      </if>
      <if test="cancelGateUrl != null" >
        cancel_gate_url,
      </if>
      <if test="accountDownloadGateUrl != null" >
        account_download_gate_url,
      </if>
      <if test="createTime != null" >
        create_time,
      </if>
      <if test="updateTime != null" >
        update_time,
      </if>
      <if test="deleteFlag != null" >
        delete_flag,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        #{id,jdbcType=INTEGER},
      </if>
      <if test="prepayMethod != null" >
        #{prepayMethod,jdbcType=VARCHAR},
      </if>
      <if test="prepayRequestUrl != null" >
        #{prepayRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="prepayNotifyUrl != null" >
        #{prepayNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="returnUrl != null" >
        #{returnUrl,jdbcType=VARCHAR},
      </if>
      <if test="showUrl != null" >
        #{showUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchMethod != null" >
        #{searchMethod,jdbcType=VARCHAR},
      </if>
      <if test="searchRequestUrl != null" >
        #{searchRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundMethod != null" >
        #{refundMethod,jdbcType=VARCHAR},
      </if>
      <if test="refundRequestUrl != null" >
        #{refundRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundNotifyUrl != null" >
        #{refundNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountdownloadRequestUrl != null" >
        #{accountdownloadRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="cancelRequestUrl != null" >
        #{cancelRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="appId != null" >
        #{appId,jdbcType=VARCHAR},
      </if>
      <if test="prepayGateUrl != null" >
        #{prepayGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchGateUrl != null" >
        #{searchGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundGateUrl != null" >
        #{refundGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="cancelGateUrl != null" >
        #{cancelGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountDownloadGateUrl != null" >
        #{accountDownloadGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=TIMESTAMP},
      </if>
      <if test="deleteFlag != null" >
        #{deleteFlag,jdbcType=INTEGER},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.platform.pojo.AlipayConfigExample" resultType="java.lang.Integer" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from alipay_config
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update alipay_config
    <set >
      <if test="record.id != null" >
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.prepayMethod != null" >
        prepay_method = #{record.prepayMethod,jdbcType=VARCHAR},
      </if>
      <if test="record.prepayRequestUrl != null" >
        prepay_request_url = #{record.prepayRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.prepayNotifyUrl != null" >
        prepay_notify_url = #{record.prepayNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.returnUrl != null" >
        return_url = #{record.returnUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.showUrl != null" >
        show_url = #{record.showUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.searchMethod != null" >
        search_method = #{record.searchMethod,jdbcType=VARCHAR},
      </if>
      <if test="record.searchRequestUrl != null" >
        search_request_url = #{record.searchRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundMethod != null" >
        refund_method = #{record.refundMethod,jdbcType=VARCHAR},
      </if>
      <if test="record.refundRequestUrl != null" >
        refund_request_url = #{record.refundRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundNotifyUrl != null" >
        refund_notify_url = #{record.refundNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.accountdownloadRequestUrl != null" >
        accountdownload_request_url = #{record.accountdownloadRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.cancelRequestUrl != null" >
        cancel_request_url = #{record.cancelRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.appId != null" >
        app_id = #{record.appId,jdbcType=VARCHAR},
      </if>
      <if test="record.prepayGateUrl != null" >
        prepay_gate_url = #{record.prepayGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.searchGateUrl != null" >
        search_gate_url = #{record.searchGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundGateUrl != null" >
        refund_gate_url = #{record.refundGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.cancelGateUrl != null" >
        cancel_gate_url = #{record.cancelGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.accountDownloadGateUrl != null" >
        account_download_gate_url = #{record.accountDownloadGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.createTime != null" >
        create_time = #{record.createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.updateTime != null" >
        update_time = #{record.updateTime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.deleteFlag != null" >
        delete_flag = #{record.deleteFlag,jdbcType=INTEGER},
      </if>
    </set>
    <if test="_parameter != null" >
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update alipay_config
    set id = #{record.id,jdbcType=INTEGER},
      prepay_method = #{record.prepayMethod,jdbcType=VARCHAR},
      prepay_request_url = #{record.prepayRequestUrl,jdbcType=VARCHAR},
      prepay_notify_url = #{record.prepayNotifyUrl,jdbcType=VARCHAR},
      return_url = #{record.returnUrl,jdbcType=VARCHAR},
      show_url = #{record.showUrl,jdbcType=VARCHAR},
      search_method = #{record.searchMethod,jdbcType=VARCHAR},
      search_request_url = #{record.searchRequestUrl,jdbcType=VARCHAR},
      refund_method = #{record.refundMethod,jdbcType=VARCHAR},
      refund_request_url = #{record.refundRequestUrl,jdbcType=VARCHAR},
      refund_notify_url = #{record.refundNotifyUrl,jdbcType=VARCHAR},
      accountdownload_request_url = #{record.accountdownloadRequestUrl,jdbcType=VARCHAR},
      cancel_request_url = #{record.cancelRequestUrl,jdbcType=VARCHAR},
      app_id = #{record.appId,jdbcType=VARCHAR},
      prepay_gate_url = #{record.prepayGateUrl,jdbcType=VARCHAR},
      search_gate_url = #{record.searchGateUrl,jdbcType=VARCHAR},
      refund_gate_url = #{record.refundGateUrl,jdbcType=VARCHAR},
      cancel_gate_url = #{record.cancelGateUrl,jdbcType=VARCHAR},
      account_download_gate_url = #{record.accountDownloadGateUrl,jdbcType=VARCHAR},
      create_time = #{record.createTime,jdbcType=TIMESTAMP},
      update_time = #{record.updateTime,jdbcType=TIMESTAMP},
      delete_flag = #{record.deleteFlag,jdbcType=INTEGER}
    <if test="_parameter != null" >
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.platform.pojo.AlipayConfig" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update alipay_config
    <set >
      <if test="prepayMethod != null" >
        prepay_method = #{prepayMethod,jdbcType=VARCHAR},
      </if>
      <if test="prepayRequestUrl != null" >
        prepay_request_url = #{prepayRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="prepayNotifyUrl != null" >
        prepay_notify_url = #{prepayNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="returnUrl != null" >
        return_url = #{returnUrl,jdbcType=VARCHAR},
      </if>
      <if test="showUrl != null" >
        show_url = #{showUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchMethod != null" >
        search_method = #{searchMethod,jdbcType=VARCHAR},
      </if>
      <if test="searchRequestUrl != null" >
        search_request_url = #{searchRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundMethod != null" >
        refund_method = #{refundMethod,jdbcType=VARCHAR},
      </if>
      <if test="refundRequestUrl != null" >
        refund_request_url = #{refundRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundNotifyUrl != null" >
        refund_notify_url = #{refundNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountdownloadRequestUrl != null" >
        accountdownload_request_url = #{accountdownloadRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="cancelRequestUrl != null" >
        cancel_request_url = #{cancelRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="appId != null" >
        app_id = #{appId,jdbcType=VARCHAR},
      </if>
      <if test="prepayGateUrl != null" >
        prepay_gate_url = #{prepayGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchGateUrl != null" >
        search_gate_url = #{searchGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundGateUrl != null" >
        refund_gate_url = #{refundGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="cancelGateUrl != null" >
        cancel_gate_url = #{cancelGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountDownloadGateUrl != null" >
        account_download_gate_url = #{accountDownloadGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        create_time = #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="updateTime != null" >
        update_time = #{updateTime,jdbcType=TIMESTAMP},
      </if>
      <if test="deleteFlag != null" >
        delete_flag = #{deleteFlag,jdbcType=INTEGER},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.platform.pojo.AlipayConfig" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update alipay_config
    set prepay_method = #{prepayMethod,jdbcType=VARCHAR},
      prepay_request_url = #{prepayRequestUrl,jdbcType=VARCHAR},
      prepay_notify_url = #{prepayNotifyUrl,jdbcType=VARCHAR},
      return_url = #{returnUrl,jdbcType=VARCHAR},
      show_url = #{showUrl,jdbcType=VARCHAR},
      search_method = #{searchMethod,jdbcType=VARCHAR},
      search_request_url = #{searchRequestUrl,jdbcType=VARCHAR},
      refund_method = #{refundMethod,jdbcType=VARCHAR},
      refund_request_url = #{refundRequestUrl,jdbcType=VARCHAR},
      refund_notify_url = #{refundNotifyUrl,jdbcType=VARCHAR},
      accountdownload_request_url = #{accountdownloadRequestUrl,jdbcType=VARCHAR},
      cancel_request_url = #{cancelRequestUrl,jdbcType=VARCHAR},
      app_id = #{appId,jdbcType=VARCHAR},
      prepay_gate_url = #{prepayGateUrl,jdbcType=VARCHAR},
      search_gate_url = #{searchGateUrl,jdbcType=VARCHAR},
      refund_gate_url = #{refundGateUrl,jdbcType=VARCHAR},
      cancel_gate_url = #{cancelGateUrl,jdbcType=VARCHAR},
      account_download_gate_url = #{accountDownloadGateUrl,jdbcType=VARCHAR},
      create_time = #{createTime,jdbcType=TIMESTAMP},
      update_time = #{updateTime,jdbcType=TIMESTAMP},
      delete_flag = #{deleteFlag,jdbcType=INTEGER}
    where id = #{id,jdbcType=INTEGER}
  </update>
</mapper>